curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_id": 123,
"order_date": "2023-12-25",
"payment_terms": "<string>",
"items": [
{
"quantity": 123,
"unit_price": 123,
"product_id": 123,
"sku": "<string>",
"description": "<string>"
}
],
"ship_by_date": "2023-12-25",
"customer_po_number": "<string>",
"public_note": "<string>",
"private_note": "<string>",
"total_shipping": 123,
"tax_amount": 123,
"order_discount_amount": 123,
"warehouse_id": 123,
"sales_channel_id": 123,
"revenue_account_id": 123,
"invoice_export_template_id": 123,
"alternate_ids": [
"<string>"
],
"tags": [
"<string>"
],
"custom_fields": {},
"ship_to": {
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
}
}
'{
"data": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"payment_status": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by_date": "2023-11-07T05:31:56Z",
"approval_status": "<string>",
"customer_po_number": "<string>",
"payment_terms": "<string>",
"public_note": "<string>",
"private_note": "<string>",
"total_qty": 123,
"total_shipping": 123,
"total_discount": 123,
"total": 123,
"total_paid": 123,
"total_due": 123,
"warehouse_id": 123,
"ship_to": {
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"quickbooks_invoice_id": "<string>",
"quickbooks_message": "<string>",
"customer": {
"id": 123,
"name": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"items": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sku": "<string>",
"name": "<string>",
"product_id": 123,
"qty": 123,
"unit_price": 123,
"discount": 123,
"total": 123
}
],
"payments": [
{
"id": 123,
"invoice_id": 123,
"gateway": "<string>",
"type": "<string>",
"charge_type": "<string>",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"status": "<string>",
"external_id": "<string>",
"notes": "<string>",
"reference_id": "<string>",
"gateway_response": {
"status": "<string>",
"code": "<string>",
"message": "<string>",
"metadata": "<string>"
},
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"sales_order": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"order_id": "<string>",
"order_number": "<string>",
"order_date": "2023-12-25",
"payment_date": "2023-12-25",
"ship_by_date": "2023-12-25",
"age": 123,
"order_status": "<string>",
"customer_id": "<string>",
"customer_username": "<string>",
"customer_email": "<string>",
"bill_to": {},
"ship_to": {},
"requested_shipping_service": "<string>",
"total": 123,
"total_paid": 123,
"total_tax": 123,
"total_shipping": 123,
"customer_notes": "<string>",
"internal_notes": "<string>",
"ship_date": "2023-12-25",
"hold_until_date": "2023-12-25",
"user_id": 123,
"externally_fulfilled": true,
"externally_fulfilled_by": "<string>",
"is_posted": true,
"posted_by": "<string>",
"not_sync": true,
"sales_posted": true,
"split_order": true,
"skip_inventory": true,
"skip_sales_report": true,
"channel_id": 123,
"total_order_cost": 123,
"total_order_quantity": 123,
"order_cost_details": {},
"source": "<string>",
"shipstation_order_id": "<string>",
"type": "<string>",
"parent_id": 123,
"shipping_revenue": 123,
"product_total": 123,
"total_discount": 123,
"picking_status": "<string>",
"starred_description": "<string>",
"customer_po_number": "<string>"
},
"custom_fields": {
"Field Name 1": "Some Value"
},
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>"
}
]
}
}Create a new invoice (client purchase order). At least one line item is required.
Each item must supply either product_id or sku.
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_id": 123,
"order_date": "2023-12-25",
"payment_terms": "<string>",
"items": [
{
"quantity": 123,
"unit_price": 123,
"product_id": 123,
"sku": "<string>",
"description": "<string>"
}
],
"ship_by_date": "2023-12-25",
"customer_po_number": "<string>",
"public_note": "<string>",
"private_note": "<string>",
"total_shipping": 123,
"tax_amount": 123,
"order_discount_amount": 123,
"warehouse_id": 123,
"sales_channel_id": 123,
"revenue_account_id": 123,
"invoice_export_template_id": 123,
"alternate_ids": [
"<string>"
],
"tags": [
"<string>"
],
"custom_fields": {},
"ship_to": {
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
}
}
'{
"data": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"payment_status": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by_date": "2023-11-07T05:31:56Z",
"approval_status": "<string>",
"customer_po_number": "<string>",
"payment_terms": "<string>",
"public_note": "<string>",
"private_note": "<string>",
"total_qty": 123,
"total_shipping": 123,
"total_discount": 123,
"total": 123,
"total_paid": 123,
"total_due": 123,
"warehouse_id": 123,
"ship_to": {
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"quickbooks_invoice_id": "<string>",
"quickbooks_message": "<string>",
"customer": {
"id": 123,
"name": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"items": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sku": "<string>",
"name": "<string>",
"product_id": 123,
"qty": 123,
"unit_price": 123,
"discount": 123,
"total": 123
}
],
"payments": [
{
"id": 123,
"invoice_id": 123,
"gateway": "<string>",
"type": "<string>",
"charge_type": "<string>",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"status": "<string>",
"external_id": "<string>",
"notes": "<string>",
"reference_id": "<string>",
"gateway_response": {
"status": "<string>",
"code": "<string>",
"message": "<string>",
"metadata": "<string>"
},
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"sales_order": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"order_id": "<string>",
"order_number": "<string>",
"order_date": "2023-12-25",
"payment_date": "2023-12-25",
"ship_by_date": "2023-12-25",
"age": 123,
"order_status": "<string>",
"customer_id": "<string>",
"customer_username": "<string>",
"customer_email": "<string>",
"bill_to": {},
"ship_to": {},
"requested_shipping_service": "<string>",
"total": 123,
"total_paid": 123,
"total_tax": 123,
"total_shipping": 123,
"customer_notes": "<string>",
"internal_notes": "<string>",
"ship_date": "2023-12-25",
"hold_until_date": "2023-12-25",
"user_id": 123,
"externally_fulfilled": true,
"externally_fulfilled_by": "<string>",
"is_posted": true,
"posted_by": "<string>",
"not_sync": true,
"sales_posted": true,
"split_order": true,
"skip_inventory": true,
"skip_sales_report": true,
"channel_id": 123,
"total_order_cost": 123,
"total_order_quantity": 123,
"order_cost_details": {},
"source": "<string>",
"shipstation_order_id": "<string>",
"type": "<string>",
"parent_id": 123,
"shipping_revenue": 123,
"product_total": 123,
"total_discount": 123,
"picking_status": "<string>",
"starred_description": "<string>",
"customer_po_number": "<string>"
},
"custom_fields": {
"Field Name 1": "Some Value"
},
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
ID of the company (customer) this invoice is for
Invoice date (YYYY-MM-DD)
Payment terms label (e.g. "Net 30")
Line items for the invoice
1Show child attributes
Required ship by date (YYYY-MM-DD)
Customer PO number
Note visible to the customer
Internal note
Shipping charge to apply to the invoice
Tax amount
Order-level discount amount
Warehouse ID to associate with the invoice
Sales channel ID
Chart of accounts ID for revenue recognition
Export template ID
Alternate identifier strings for the invoice
Tags to attach to the invoice
Custom field key/value pairs
Shipping address
Show child attributes
Invoice created
Show child attributes